Subject: Re: linux-next: build failure after merge of the final tree (kgdb tree related)

From: Jason Wessel <[email-masked]>
Date: Mon, 1 Aug 2011 07:42:59 -0500

On 07/31/2011 11:22 PM, Stephen Rothwell wrote:
> Hi Jason,
>
> After merging the final tree, today's linux-next build (sparc32_defconfig)
> failed like this:
>
> kernel/debug/gdbstub.c: In function 'gdbstub_state':
> kernel/debug/gdbstub.c:1098:3: error: 'gdbstub_use_prev_in_buf' undeclared (first use in this function)
> kernel/debug/gdbstub.c:1098:3: note: each undeclared identifier is reported only once for each function it appears in
> kernel/debug/gdbstub.c:1099:3: error: 'gdbstub_prev_in_buf_pos' undeclared (first use in this function)
>
> Caused by commit faed702e3b31 ("kdb,kgdb: Implement switch and pass
> buffer from kdb -> gdb").
>
> I reverted that commit (and 621ebf205b99 "kdb: Remove all references to
> DOING_KGDB2" and "kdb,kgdb: Allow arbitrary kgdb magic knock
> sequences" that depend on it) for today.
>
> BTW, that last commit (29e3c61ef33c) doesn't have a SOB line.

Thanks for the detailed report.   I fixed this by re-basing kgdb-next against the kgdb-dev branch.  These branches are not supposed to get out of sync.  I'll try and figure out what went wrong. :-)

Jason.